Class Index | File Index

## Classes

- _global_
- Array
- fabric.Circle
- fabric.Color
- fabric.Element
- fabric.Element#cache
- fabric.Ellipse
- fabric.Group
- fabric.Image
- fabric.Intersection
- fabric.Line
- fabric.Object
- fabric.Path
- fabric.PathGroup
- fabric.Point
- fabric.Polygon
- fabric.Polyline
- fabric.Rect
- fabric.Text
- fabric.Triangle
- fabric.util
- fabric.util.array
- fabric.util.object
- fabric.util.string
- Function
- String

# Class fabric.Intersection

Intersection
Defined in: intersection.class.js.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| fabric.Intersection(status)

Method Summary
Method Attributes | Method Name and Description
--- | ---
| appendPoint(status)
| appendPoints(status)
| init(status)
<static> | fabric.Intersection.intersectLineLine(a1, a2, b1, b2)
<static> | fabric.Intersection.intersectLinePolygon(a1, a2, points)
<static> | fabric.Intersection.intersectPolygonPolygon(points1, points2)
<static> | fabric.Intersection.intersectPolygonRectangle(points, r1, r2)

Class Detail
fabric.Intersection(status)

Parameters:
status

Method Detail
appendPoint(status)

Parameters:
{String} status

appendPoints(status)

Parameters:
{String} status

init(status)

Parameters:
{String} status

<static> fabric.Intersection.intersectLineLine(a1, a2, b1, b2)

Parameters:
a1
a2
b1
b2

<static> fabric.Intersection.intersectLinePolygon(a1, a2, points)

Parameters:
a1
a2
points

<static> fabric.Intersection.intersectPolygonPolygon(points1, points2)

Parameters:
points1
points2

<static> fabric.Intersection.intersectPolygonRectangle(points, r1, r2)

Parameters:
points
r1
r2

Documentation generated by JsDoc Toolkit 2.4.0 on Thu Oct 14 2010 21:41:43 GMT-0400 (EDT)